#include <bits/stdc++.h>

using ll = long long;
using namespace std;

void solve();

signed main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    ll tt = 1;
    while (tt--) {
        solve();
        cout << '\n';
    }
}

vector<char> p = {'2', '3', '5', '7'};

int get_ans(string r) {
    vector<vector<vector<int> > > dp(r.size(), vector<vector<int> >(10, vector<int>(2, 0)));
    dp[0][0][0] = 1;
    dp[0][1][0] = 1;
    for (auto x: p) {
        int a = r[0] - '0', b = x - '0';
        if (a < b) {
            break;
        }
        dp[0][b][1] = 1;
    }
    for (int i = 1; i < r.size(); i++) {
        dp[i][0][0] = 1;
        int a = r[i] - '0';
        if (a != 0) {
            for (int j = 0; j < 10; j++) {
                dp[i][1][0] += dp[i - 1][j][0];
                dp[i][1][1] += dp[i - 1][j][1];
            }
        }
        for (auto x: p) {
            int b = x - '0';
            if (a < b) {
                break;
            }
            for (int j = 0; j < 10; j++) {
                dp[i][b][1] += dp[i - 1][j][0];
            }
        }
    }
    int ans = 0;
    for (int i = 1; i < 10; i++) {
        ans += dp[r.size() - 1][i][0] + dp[r.size() - 1][i][1];
    }
    ans -= dp[r.size() - 1][1][0];
    return ans;
}

bool check(string r) {
    int k = 1;
    for (int i = 0; i < r.size(); i++) {
        k *= (r[i] - '0');
    }
    if (k == 2 || k == 3 || k == 5 || k == 7) {
        return true;
    }
    return false;
}

void solve() {
    string l, r;
    cin >> l >> r;
    cout << get_ans(r) - get_ans(l) - check(l);
}
