#include <bits/stdc++.h>

using ll = long long;
using namespace std;

void solve();

signed main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    ll tt = 1;
    while (tt--) {
        solve();
        cout << '\n';
    }
}

vector<char> p = {'1', '2', '3', '5', '7'};

int get_ans(string r) {
    vector<vector<int> > dp(r.size(), vector<int>(10, 0));
    dp[0][0] = 1;
    for (auto x: p) {
        int a = r[0] - '0', b = x - '0';
        if (a < b) {
            break;
        }
        dp[0][b] = 1;
    }
    for (int i = 1; i < r.size(); i++) {
        dp[i][0] = 1;
        for (auto x: p) {
            int a = r[i] - '0', b = x - '0';
            if (a < b) {
                break;
            }
            for (int j = 0; j < 10; j++) {
                dp[i][b] += dp[i - 1][j];
            }
        }
    }
    int ans = 0;
    for (int i = 1; i < 10; i++) {
        ans += dp[r.size() - 1][i];
    }
    string s1;
    for (int i = 0; i < r.size(); i++) {
        s1 += '1';
    }
    ans -= (r.size() - 1) + (r >= s1);
    return ans;
}

bool check(string r) {
    int k = 1;
    for (int i = 0; i < r.size(); i++) {
        k *= (r[i] - '0');
    }
    if (k == 2 || k == 3 || k == 5 || k == 7) {
        return true;
    }
    return false;
}

void solve() {
    ll l, r;
    cin >> l >> r;
    int ans = 0;
    for (int i = l; i <= r; i++) {
        string t = to_string(i);
        ans += check(t);
    }
    cout << ans;
    //cout << get_ans(r) - get_ans(l) - check(l);
}
