#include <bits/stdc++.h>

using ll = long long;
using namespace std;

const ll INF = 2e18;

signed main() {
    ios_base::sync_with_stdio(false), cin.tie(0), cout.tie(0);
    ll n, k;
    cin >> n >> k;
    vector<ll> a(n), pref(n + 1), mx_suf(n + 1, -INF), mx_pref(n + 1, -INF);
    ll sm = 0;
    for (ll i = 0; i < n; i++) {
        cin >> a[i];
        sm += a[i];
        pref[i + 1] = pref[i] + a[i];
    }
    vector<ll> z(n), z1(n);
    for (ll i = 0; i < n; i++) {
        ll l = i, r = min(n - 1, i + n - k);
        z[i] = pref[r + 1] - pref[l];
    }
    for (ll i = n - 1; i >= 0; i--) {
        ll r = i, l = max(0ll, r - (n - k));
        z1[i] = pref[r + 1] - pref[l];
    }
    for (ll i = n - 1; i >= 0; i--) {
        mx_suf[i] = max(mx_suf[i + 1], z[i]);
    }
    for (ll i = 0; i < n; i++) {
        mx_pref[i + 1] = max(mx_pref[i], z1[i]);
    }
    ll ans = -INF;
    if (k == 2) {
        ll sm1 = 0, sm2 = sm;
        for (ll i = 0; i < n - 1; i++) {
            sm1 += a[i];
            sm2 -= a[i];
            ans = max(ans, abs(sm2 - sm1));
        }
        cout << ans;
        exit(0);
    }
    for (ll i = 0; i < n; i++) {
        ll mn = a[i];
        ll sm = max(mx_suf[i + 1], mx_pref[i]);
        ans = max(ans, sm - mn);
    }
    cout << ans;
}