#include <bits/stdc++.h>

using ll = long long;
using namespace std;

const ll INF = 2e18;

signed main() {
    ios_base::sync_with_stdio(false), cin.tie(0), cout.tie(0);
    ll n, k;
    cin >> n >> k;
    vector<ll> a(n), pref(n + 1), mx_suf(n + 1, -INF), mx_pref(n + 1, -INF);
    for (int i = 0; i < 100000; i++) {
        for (int i = 0; i < n; i++) {
            a[i] = rand() % (n + 1);
        }
        ll sm = 0;
        for (ll i = 0; i < n; i++) {
            sm += a[i];
            pref[i + 1] = pref[i] + a[i];
        }
        ll ans1 = -INF;
        vector<ll> mn_pref(n + 1, INF), mn_suf(n + 1, INF);
        for (ll i = 0; i < n; i++) {
            mn_pref[i + 1] = min(mn_pref[i], a[i]);
        }
        for (ll i = n - 1; i >= 0; i--) {
            mn_suf[i] = min(mn_suf[i + 1], a[i]);
        }
        for (ll i = 0; i < n; i++) {
            ll l = i, r = min(n - 1, i + n - k);
            ll sm = 0;
            for (ll j = l; j <= r; j++) {
                sm += a[j];
                ll mn = min(mn_pref[l], mn_suf[j + 1]);
                ans1 = max(ans1, sm - mn);
            }
        }
        vector<ll> z(n), z1(n);
        for (ll i = 0; i < n; i++) {
            ll l = i, r = min(n - 1, i + n - k);
            z[i] = pref[r + 1] - pref[l];
        }
        for (ll i = n - 1; i >= 0; i--) {
            ll r = i, l = max(0ll, r - (n - k));
            z1[i] = pref[r + 1] - pref[l];
        }
        for (ll i = n - 1; i >= 0; i--) {
            mx_suf[i] = max(mx_suf[i + 1], z[i]);
        }
        for (ll i = 0; i < n; i++) {
            mx_pref[i + 1] = max(pref[i], z1[i]);
        }
        ll ans2 = -INF;
        for (ll i = 0; i < n; i++) {
            ll mn = a[i];
            ll sm = max(mx_suf[i + 1], mx_pref[i]);
            ans2 = max(ans2, sm - mn);
        }
        if (ans1 != ans2) {
            for (auto aaa: a) {
                cout << aaa << ' ';
            }
            cout << '\n';
            cout << ans1 << " " << ans2;
            break;
        }
    }
}
